Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::all_fn Struct Reference

## Synopsis of methods
constexpr view_closure< all_fn > | all {}

## Public Member Functions
template<typename T >
constexpr ref_view< T > | operator() (std::reference_wrapper< T > r) const
template<typename T >
constexpr auto | operator() (T &&t) const

## Member Function Documentation

## ◆ operator()()

template<typename T >

constexpr auto ranges::views::all_fn::operator() | ( | T && | t | ) | const
| constexpr

Precondition
  requires `range<T &> && viewable_range<T>`